%define dist Term-ReadLine-Gnu
Name: perl-%dist
Version: 1.15
Release: alt1.1

Summary: Perl interface to the GNU Readline library
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source0: %dist-%version.tar.bz2
Source1: perl-5.8.1-Term-ReadLine.pm
Source2: perl-5.8.1-Term-ReadLine.t

# try to open /dev/tty before using it 
Patch0: perl-Term-ReadLine-1.01-alt-findConsole.patch

# disable Tk test that produces extra build deps
Patch1: %name-1.14-alt-disable-tk-test.patch

# avoid circular dependencies
%add_findreq_skiplist */Term/ReadLine/Gnu/XS.pm

# Automatically added by buildreq on Sun Oct 24 2004
BuildRequires: libreadline-devel perl-devel

# package renamed
Provides: perl-Term-Readline-Gnu = %version
Obsoletes: perl-Term-Readline-Gnu <= %version

# Term/ReadLine.pm moved here from perl bundle
Requires: perl-base >= 1:5.8.1

%description
Term::ReadLine::Gnu is an implementation of the interface to the GNU
Readline library.  This module gives you input line editing facility,
input history management facility, word completion facility, etc.

%prep
%setup -q -n %dist-%version
%__install -p -m644 %SOURCE1 ReadLine.pm
%__install -p -m644 %SOURCE2 t/ReadLine.t
%patch0 -p1
%patch1 -p1

%__mkdir_p lib/Term/ReadLine
%__mv ReadLine.pm lib/Term
%__mv Gnu.pm Gnu lib/Term/ReadLine

%__mv Makefile.PL Makefile.PL.orig
%__cat <<\__EOF__ >|./Makefile.PL
# ALT Makefile.PL for %name
# see also Makefile.PL.orig
use ExtUtils::MakeMaker; 
WriteMakefile qw(
	NAME Term::ReadLine::Gnu
	VERSION_FROM lib/Term/ReadLine/Gnu.pm
	DEFINE -DHAVE_STRING_H
	LIBS -lreadline
);
__EOF__

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README eg
%perl_vendor_archlib/Term*
%perl_vendor_autolib/Term*
%perl_vendor_man3dir/Term*

%changelog
* Sat Feb 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.15-alt1.1
- Rebuilt with rpm-build-perl-0.5.1.

* Sun Oct 24 2004 Alexey Tourbin <at@altlinux.ru> 1.15-alt1
- 1.14 -> 1.15
- rewrote Makefile.PL and build section
- revised patches

* Fri Jul 04 2003 Alexey Tourbin <at@altlinux.ru> 1.14-alt3
- findConsole.patch: fixed /dev/tty stuff a bit

* Fri Jun 13 2003 Alexey Tourbin <at@altlinux.ru> 1.14-alt2
- package renamed: s/Readline/ReadLine/
- fixed tinfo build
- Term/ReadLine.pm moved here from perl bundle (5.8.1)
- no-static.patch: don't look for .a libraries
- syntax.patch: make Gnu/XS.pm pass syntax check

* Tue Mar 25 2003 Grigory Milev <week@altlinux.ru> 1.14-alt1
- new version released

* Tue Dec  3 2002 Grigory Milev <week@altlinux.ru> 1.13-alt2
- rebuild with tinfo

* Fri Nov 15 2002 Grigory Milev <week@altlinux.ru> 1.13-alt1
- rebuild with new perl
- new version released

* Wed Apr 10 2002 Grigory Milev <week@altlinux.ru> 1.12-alt1
- new version released

* Thu Jan 24 2002 Grigory Milev <week@altlinux.ru> 1.11-alt1
- new version released

* Tue Sep 25 2001 Grigory Milev <week@altlinux.ru> 1.10-alt1
- New version released.

* Tue Jul 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.09-ipl7mdk
- Specfile minor cleanup (corrected arch subdirs).
- Corrected summary.

* Mon Jun 25 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.09-ipl6mdk
- Rebuilt with perl-5.6.1
- Some spec cleanup

* Fri Jun 19 2001 Grigory Milev <week@altlinux.ru> 1.09-ipl5mdk
- Spec rewritten for compatibility with new policy.

* Sun Feb 4 2001 AEN <aen@logic.ru>
- RE adaptation
- path patch

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 1.09-3mdk
- build release.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 1.09-2mdk
- macroszifications.
- add doc.

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 1.09-1mdk
- 1.09.
- removed patch for compilation with perl 5.6.0.

* Mon Apr 04 2000 Franois Pons <fpons@mandrakesoft.com> 1.08-2mdk
- added patch for compilation with perl 5.6.0.
- updated spec file and Group.

* Tue Jan  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First package needed for perl-debug.

